/*
	File:		ActionAtomHeader.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	11/22/93	KBA		Updated interface for MakeFSSpecFromFileSpecID().
		 <2>	11/16/93	rdm		Added callback routines for MakeFSSpecFromFileSpecID,
									SuspendWaitCursor, ResumeWaitCursor, & IncrementStatusBar.
		 <1>	 8/11/93	KBA		first checked in

*/



#ifndef __ActionAtomHeader__
#define __ActionAtomHeader__

#ifndef __Files__
#include <Files.h>
#endif

#ifndef __Types__
#include <Types.h>
#endif

#ifndef __ActionHandlerHeader__
#include "ActionHandlerHeader.h"
#endif



enum { before, after, cleanUpCancel };
typedef unsigned char InstallationStage;

/* -------------------- Action Atom Format 0 and Format 1 -------------------------
	NOTE:  Format 0 and 1 have Pascal calling interfaces.  You can not use Format 0 or
			Format 1 with Installer 4.X in User Folder Mode.
*/

/* The action atom param block record contains all of the parameters that action atoms */
/* receive.  The first (and only) parameter to action atoms is a ptr to this block (AAPBRecPtr) */

typedef struct {
	short				targetVRefNum;
	long				blessedDirID;
	long				aaRefCon;
	Boolean				doingInstall;
	InstallationStage	whichStage;
	Boolean				didLiveUpdate;
	long				installerTempDirID;
}AAPBRec, *AAPBRecPtr;


/*	The function prototype for the format 0 Action Atom code is as follows */
	
	pascal Boolean	ActionAtomFormat0( AAPBRecPtr );
	
	
/*	The function prototype for the format 1 Action Atom code is as follows */
	
	pascal long	ActionAtomFormat1( AAPBRecPtr );
	




/* -------------------------- Action Atom Format 2 ---------------------------------
	NOTE:  Format 2 has C calling interface, and a new parameterblock.
*/

typedef struct {
	InstallationStage	fMessageID;
	Handle				fStaticDataHdl;
	ProcPtr				fCallBackProcPtr;
	short				fTargetVRefNum;
	long				fTargetFolderDirID;
	short				fSystemVRefNum;
	long				fSystemBlessedDirID;
	long				fRefCon;
	Boolean				fDoingInstall;
	Boolean				fDidLiveUpdate;
	long				fInstallerTempDirID;
}ActionAtom2PBRec, *ActionAtom2PBPtr;

enum {  kActionAtomResultFatalError = -1, kActionAtomResultContinue = 0, kActionAtomResultCancel = 1 };
typedef long ActionAtomResult;

ActionAtomResult	ActionAtomFormat2( ActionAtom2PBPtr );


OSErr MakeFSSpecFromFileSpecID( 	CallBackProcPtr	pCallBackProcPtr,
									short			pFileSpecID,
									FSSpec*			pFSSpecPtr,
									StringHandle*	pExtraPathInfo );


void SuspendWaitCursor( 	CallBackProcPtr	pCallBackProcPtr	);

void ResumeWaitCursor( 	CallBackProcPtr	pCallBackProcPtr	);


void IncrementStatusBar( 	CallBackProcPtr	pCallBackProcPtr,
							short			pIncrementAmount);

#endif