/*
	File:		InstallerMemoryFuncsHeader.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	11/18/93	KBA		Changed some longs to UInt32.
		 <3>	 7/12/93	rdm		Added #ifndef __InstallerMemoryFuncsHeader__.
		 <2>	 6/21/93	KBA		Converting to new callback dispatcher.
		 <1>	  4/1/93	KBA		first checked in

*/


#ifndef __InstallerMemoryFuncsHeader__
#define __InstallerMemoryFuncsHeader__

#ifndef __CallbackDispatcherHeader__
#include "CallbackDispatcherHeader.h"
#endif

#ifndef __Memory__
#include <Memory.h>
#endif


// ***********************************************************************************************
// ********************************** Memory Callback Routines ***********************************
// ***********************************************************************************************

Handle INewHandle(	CallBackProcPtr	pCallBackProcPtr,
					unsigned long	newHandleSize );

void IDisposHandle(	CallBackProcPtr	pCallBackProcPtr,
					Handle 			storageHandle );

void IHLock(		CallBackProcPtr	pCallBackProcPtr,
					Handle 			storageHandle );

void IHUnLock(		CallBackProcPtr	pCallBackProcPtr,
					Handle 			storageHandle );


#endif