/*
	File:		SearchProcedureHeader.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 8/10/93	KBA		Removed fStaticDataHdl field from SearchProc parameter block
									record.
		 <2>	 6/21/93	KBA		Added fCallBackProcPtr field to SearchProcedurePBRec struct.
		 <1>	  4/1/93	KBA		first checked in

*/

#ifndef __SearchProcedureHeader__
#define __SearchProcedureHeader__

#ifndef __Types__
#include <Types.h>
#endif


#ifndef __FileSpecs__

typedef struct {
	short 		vRefNum;
	long 		parID;
	Str63 		name;
	short		fReferenceID;
} FoundFileRec, *FoundFileArrayPtr, **FoundFileArrayHdl;

#endif

typedef struct{
	ProcPtr				fCallBackProcPtr;
	short				fTargetVRefNum;
	long				fTargetFolderDirID;
	short				fSystemVRefNum;
	long				fSystemBlessedDirID;
	long				fRefCon;
	OSType				fFileSpecType;
	OSType				fFileSpecCreator;
	long				fFileSpecCrDate;
	Str255				fFileSpecPath;
	FoundFileArrayHdl	fFoundFilesArray;
} SearchProcedurePBRec, *SearchProcedurePBPtr;

typedef enum {  kFatalSearchError = -1, kSearchSuccessful = 0, kCancelSearchAndInstallation = 1 } SearchResult;

SearchResult	FileSearchRoutine( SearchProcedurePBPtr );


#endif