/*
	File:		TargetInfoMgt.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	  5/9/94	KBA		Added Mod. Data field to info record.
		 <3>	 4/17/94	KBA		Updated the file version parameter block to include the type and
									creator so we can find files in the archive that have the same
									name.
		 <2>	10/28/93	KBA		Added field to hold the type of data ScriptCheck is expecting.
		 <1>	10/14/93	KBA		first checked in

*/



#ifndef __TargetInfoMgt__
#define __TargetInfoMgt__

#ifndef __Files__
#include <Files.h>
#endif


typedef struct {
	FSSpec			fSrcFSSpec;
	long			fSrcDataType;
	Str31			fTgtFileName;
	short			fTgtFinderAttrs;
	long			fTgtDataForkSize;
	long			fTgtRsrcForkSize;
	long			fTgtCreationDate;
	ResType			fTgtFileType;		// Not supported in 4.0.0
	ResType			fTgtFileCreator;	// Not supported in 4.0.0
	long			fTgtModDate;		// Not supported in 4.0.0
} TgtFileInfoType;

typedef struct {
	FSSpec			fSrcFSSpec;
	long			fSrcDataType;
	OSType			fSrcRsrcType;	
	short			fSrcRsrcID;
	OSType			fTgtRsrcType;	
	short			fTgtRsrcID;
	short			fTgtRsrcAttrs;
	long			fTgtRsrcSize;
} TgtRsrcInfoType;

typedef union {
	TgtFileInfoType			fFileInfo;
	TgtRsrcInfoType			fRsrcInfo;
} TargetInfoPB, *TargetInfoPBPtr;

#define	kDataTypeIsFile	-1
#define	kDataTypeIsRsrc	1

typedef long	(*TargetInfoProcPtr)( TargetInfoPBPtr );		
							
#endif
