/*
	File:		TargetVersMgt.h

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 4/17/94	KBA		Updated the file version parameter block to include the type and
									creator so we can find files in the archive that have the same
									name.
		 <1>	11/10/93	KBA		first checked in

*/


 
#ifndef __TargetVersMgt__
#define __TargetVersMgt__

#ifndef __Files__
#include <Files.h>
#endif


typedef struct {
	FSSpec			fSrcFSSpec;
	long			fSrcDataType;
	Str31			fTgtFileName;
	long			fTgtVersionNum;
	ResType			fTgtFileType;		// Not supported in 4.0.0
	ResType			fTgtFileCreator;	// Not supported in 4.0.0
} TgtFileVersType;

typedef struct {
	FSSpec			fSrcFSSpec;
	long			fSrcDataType;
	OSType			fSrcRsrcType;	
	short			fSrcRsrcID;
	OSType			fTgtRsrcType;	
	short			fTgtRsrcID;
	long			fTgtRsrcVersionNum;
} TgtRsrcVersType;

typedef union {
	TgtFileVersType			fFileVers;
	TgtRsrcVersType			fRsrcVers;
} TargetVersPB, *TargetVersPBPtr;

#define	kVersTypeIsFile	-1
#define	kVersTypeIsRsrc	1

typedef long	(*TargetVersProcPtr)( TargetVersPBPtr );		
							
#endif
